﻿@model PagedList<DomainModels.Entities.Financial.UserRialPayment>


@{
    ViewBag.Title = "سوابق وجوه دریافتی ریالی از کاربران ";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().RowGuid)
                    </th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().TrackingNumber)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().Price)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().PayDate)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().UserRialAccountId)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().AdminRialAccountId)
					</th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().PaymentStatusId)
                    </th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data) {
				<tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.RowGuid)
                    </td>
					<td>
						@Html.DisplayFor(modelItem => item.TrackingNumber)
					</td>
					<td>
						@Html.ShowNumberWithCommaSeperator(item.Price)
					</td>
					<td>
						@Html.ShowDateTime(item.PayDate, ShamsiDateFormatType.ToPersianWithTime)
					</td>
					<td>
						شماره حساب: @item.UserRialAccount.AccountNumber
                        <br />
                        شماره کارت: @item.UserRialAccount.CardNumber
                        <br />
                        شبا: @item.UserRialAccount.ShabaNumber
                        <br />
                        بانک: @item.UserRialAccount.Bank.Name
					</td>
					<td>
                        شماره حساب: @item.AdminRialAccount.AccountNumber
                        <br />
                        شماره کارت: @item.AdminRialAccount.CardNumber
                        <br />
                        شبا: @item.AdminRialAccount.ShabaNumber
                        <br />
                        بانک: @item.AdminRialAccount.Bank.Name
					</td>
                    <td>
                        @Html.ShowPaymentStatus(item.PaymentStatus)
                    </td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Index"))
			
	</div>
</div>
